
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/ckrm/rbce/crbce_ext.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN kernel/ckrm/rbce/crbce_ext.c~ckrm-rule-based-classification-engine-more-advanced-classification-engine-netlink-fix kernel/ckrm/rbce/crbce_ext.c
--- devel/kernel/ckrm/rbce/crbce_ext.c~ckrm-rule-based-classification-engine-more-advanced-classification-engine-netlink-fix	2005-07-26 20:47:16.000000000 -0700
+++ devel-akpm/kernel/ckrm/rbce/crbce_ext.c	2005-07-26 20:47:44.000000000 -0700
@@ -25,6 +25,7 @@
 
 #include <net/sock.h>
 #include <linux/netlink.h>
+#include <linux/module.h>
 #include "rbce_internal.h"
 
 #define PSAMPLE(pdata)    (&((pdata)->ext_data.sample))
@@ -101,7 +102,8 @@ static void ukcc_netlink_recv(struct soc
 
 static int create_ukcc_channel(void)
 {
-	ukcc_sock = netlink_kernel_create(NETLINK_CKRM, ukcc_netlink_recv);
+	ukcc_sock = netlink_kernel_create(NETLINK_CKRM, ukcc_netlink_recv,
+						THIS_MODULE);
 
 	if (!ukcc_sock) {
 		printk(KERN_ERR "kevent: "
_
